GGF.SavedVarsDefaults = {
  ['SavedVarsVersion'] = "0.0.0",

  -- Enabled Visuals
  ['Display_Player'] = true,
  ['Display_Group'] = true,
  ['Display_Target'] = true,
  ['Display_Default_Player'] = false,
  ['Display_Default_Target'] = false,
  ['Display_Default_Group'] = false,
  ['Display_Power_Regens'] = true,
  ['Display_Buffs'] = true,

  -- Player
  ["PlayerContainer_OffsetX"] = 655,
  ["PlayerContainer_OffsetY"] = 800,
  
  ["Font"] = "Univers 67",
  ["Font_Style"] = "soft-shadow-thin",
  ["Bar_Texture"] = "Sand Paper 1",
  ["Bar_Format"] = "Current",
  ["Bar_Format_Location"] = "Left",
  ["Bar_Format_Two"] = "Percentage%",
  ["Bar_Format_Location_Two"] = "Right",

  ["Player_Info_Display"] = true,
  ['Player_Combat_Alpha'] = 75,
  ['Player_Combat_Alpha_Power'] = true,
  ["Player_Alpha"] = 100,
  ["Player_Width"] = 300,
  ["Player_FontSize"] = 16,
  ["Player_FontColor"] = {1,1,1,1},
  ["Player_Padding"] = -1,
  
  ["Player_Health_Height"] = 36,
  ["Player_Health_BarColor"] = {0.831372549,0.149019608,0.149019608,1},
  ["Player_Health_FontSize"] = 16, 
  ["Player_Health_FontColor"] = {1,1,1,1},
  ["Player_Shield_Height"] = 36,
  ["Player_Shield_BarColor"] = {1, .5, 0, 1},
  
  ["Player_Magicka_Height"] = 20,
  ["Player_Magicka_BarColor"] = {.08627451,.294117647,.776470588,1},
  ["Player_Magicka_FontSize"] = 16, 
  ["Player_Magicka_FontColor"] = {1,1,1,1},
  
  ["Player_Stamina_Height"] = 20,
  ["Player_Stamina_BarColor"] = {.796078431,.643137255,.043137255,1},
  ["Player_Stamina_FontSize"] = 16, 
  ["Player_Stamina_FontColor"] = {1,1,1,1},
  
  ["Player_Experience_Display"] = true,
  ["Player_Experience_Height"] = 8,
  ["Player_Experience_BarColor"] = {.7,.7,.7,1},
  ["Player_Experience_Text_Display"] = false,
  ["Player_Experience_FontSize"] = 14, 
  ["Player_Experience_FontColor"] = {1,1,1,1},
  
  ['Player_Mount_Seperated'] = true,
  ["Player_Mount_Height"] = 8,
  ["Player_Mount_BarColor"] = {.933333333,.933333333,0,1},

  ['Player_Buff_Location'] = 'Bottom',
  ['Player_Buff_OrderY'] = GGF.Locale['OrderY'][1],     -- top to bottom
  ['Player_Buff_OrderX'] = GGF.Locale['OrderX'][1],    -- left to right
  ['Player_Debuff_Location'] = 'Left',
  ['Player_Debuff_OrderY'] = GGF.Locale['OrderY'][1],   -- top to bottom
  ['Player_Debuff_OrderX'] = GGF.Locale['OrderX'][2], -- right to left
  ['Player_Buff_Size'] = 40,

  -- GROUP
  ["GroupContainer_OffsetX"] = 3,
  ["GroupContainer_OffsetY"] = 400,
  ['GroupContainer_Alpha'] = 75, -- also used for raid alpha
 
  ['Group_Condensed'] = false,
  ['Group_Include_Player'] = false,
  
  ["Group_Width"] = 300,
  ["Group_FontSize"] = 16,
  ["Group_FontColor"] = {1,1,1,1},
 
  ["Group_Health_Height"] = 36,
  ["Group_Health_BarColor"] = {0.831372549,0.149019608,0.149019608,1},
  ["Group_Health_FontSize"] = 14, 
  ["Group_Health_FontColor"] = {1,1,1,1},
  ["Group_Shield_Height"] = 36,
  ["Group_Shield_BarColor"] = {1, .5, 0, 1},

  -- RAID
  ["LargeGroupContainer_OffsetX"] = 3,
  ["LargeGroupContainer_OffsetY"] = 400,
  ['LargeGroupContainer_Alpha'] = 75, -- also used for raid alpha
 
  ["LargeGroup_Width"] = 175,
  ["LargeGroup_Height"] = 30,
  ["LargeGroup_FontSize"] = 16,
  ["LargeGroup_FontColor"] = {1,1,1,1},
  ["LargeGroup_Shield_Height"] = 30,
  ["LargeGroup_Shield_BarColor"] = {1, .5, 0, 1},
  ["LargeGroup_Health_BarColor"] = {0.831372549,0.149019608,0.149019608,1},

  ['LargeGroup_Units_Per_Column'] = 12,
  ['LargeGroup_Padding'] = -1,

  -- Target
  ["TargetContainer_OffsetX"] = 965,
  ["TargetContainer_OffsetY"] = 800,
 
  ["Target_Width"] = 300,
  ['Target_Combat_Alpha'] = 75,
  ["Target_Alpha"] = 100,
  ["Target_FontSize"] = 16,
  ["Target_FontColor"] = {1,1,1,1},
  ["Target_FontColor_Friendly"] = {0,1,0,1},
  ["Target_FontColor_Hostile"] =  {1,0,0,1},
  ["Target_FontColor_Interact"] = {1,1,0,1},
 
  ["Target_Health_Height"] = 36,
  ["Target_Health_BarColor"] = {0.831372549,0.149019608,0.149019608,1},
  ["Target_Health_FontSize"] = 14, 
  ["Target_Health_FontColor"] = {1,1,1,1},
  ["Target_Shield_Height"] = 36,
  ["Target_Shield_BarColor"] = {1, .5, 0, 1},

  ['Target_Buff_Location'] = 'Bottom',
  ['Target_Buff_OrderY'] = GGF.Locale['OrderY'][1],    -- top to bottom
  ['Target_Buff_OrderX'] = GGF.Locale['OrderX'][1],   -- left to right
  ['Target_Debuff_Location'] = 'Right',
  ['Target_Debuff_OrderY'] = GGF.Locale['OrderY'][1],  -- top to bottom
  ['Target_Debuff_OrderX'] = GGF.Locale['OrderX'][1], -- left to right
  ['Target_Buff_Size'] = 40
}