GGF.Locale['Welcome'] = '|cFFD700<<1>> v<<2>>|r |cFFFFFFLoaded.. For Help Type: |r|c88DDFF/ggf help|r'
GGF.Locale['Help'] = [[
==========================================
Welcome to ggFrames Help!
Slash Commands:
- |c88DDFF/ggf help|r |cFFFFFFProvide Add-on Assistance|r
- |c88DDFF/ggf|r |cFFFFFFor|r |c88DDFF/ggf move|r |cFFFFFFQuickly toggle frame movability|r
Addon Settings:
- |cFFFFFFYou can access the add-on settings by pressing |c88DDFFesc|r|cFFFFFF, clicking on |c88DDFFsettings|r|cFFFFFF, and then clicking on |c88DDFFggFrames|r
==========================================]]

-- Player Status
GGF.Locale['Dead']                      = 'Dead'
GGF.Locale['Offline']                   = 'Offline'

GGF.Locale['Frame_Lock']                = 'Lock All Frames (/ggf)'

-- Display:
GGF.Locale['Display_Player_Info']       = 'Display Player Information'
GGF.Locale['Display_Player_Experience'] = 'Display Experience Bar'
GGF.Locale['Display_Power_Regens']      = 'Display HoT / DoT Animations'
GGF.Locale['Display_Buffs']             = 'Display Player & Target Buffs / Debuffs'

GGF.Locale['Display_Default_Player']    = 'Display Default Player Frame'
GGF.Locale['Display_Player']            = 'Display Addon Player Frame'
GGF.Locale['Display_Default_Target']    = 'Display Default Target Frame'
GGF.Locale['Display_Target']            = 'Display Addon Target Frame'
GGF.Locale['Display_Default_Group']     = 'Display Default Group / Raid Frame'
GGF.Locale['Display_Group']             = 'Display Addon Group / Raid Frame'
GGF.Locale['Group_Condensed']           = 'Use Raid Styling for Group'
GGF.Locale['Group_Include_Player']      = 'Include Player in Group Frame'

-- Global
GGF.Locale['Combat_Alpha']              = 'Out of Combat Alpha'
GGF.Locale['Combat_Alpha_Power']        = 'Treat Missing Power as In-Combat'
GGF.Locale['Font']                      = 'Font'
GGF.Locale['Font_Style']                = 'Font Style'
GGF.Locale['Bar_Texture']               = 'Texture'
GGF.Locale['Bar_Format']                = 'Bar Label Format'
GGF.Locale['Bar_Format_Location']       = 'Bar Label Position'
GGF.Locale['Bar_Format_Two']            = 'Bar Label Two Format'
GGF.Locale['Bar_Format_Location_Two']   = 'Bar Label Two Position'
GGF.Locale['Shield_Height']             = 'Shield Height'
GGF.Locale['Shield_BarColor']           = 'Shield Bar Color'
GGF.Locale['Mount_Seperated']           = 'Separate Mount Frame'

GGF.Locale['Placement'] = {'Top', 'Right', 'Bottom', 'Left'}
GGF.Locale['OrderX'] = {'Left to Right', 'Right to Left'}
GGF.Locale['OrderY'] = {'Top to Bottom', 'Bottom to Top'}

-- Frame Options
GGF.Locale['Frame_PositionX']           = 'Frame Horizontal Position'
GGF.Locale['Frame_PositionY']           = 'Frame Vertical Position'
GGF.Locale['Frame_Alpha']               = 'Frame Transparency'
GGF.Locale['Frame_Width']               = 'Frame Width'
GGF.Locale['Frame_Height']              = 'Frame Height'
GGF.Locale['Info_FontSize']             = 'Information Font Size'
GGF.Locale['Info_FontColor']            = 'Information Font Color'
GGF.Locale['Player_Padding']            = 'Space Between Bars'
GGF.Locale['Health_Height']             = 'Health Bar Height'
GGF.Locale['Health_BarColor']           = 'Health Bar Color'
GGF.Locale['Health_FontSize']           = 'Health Bar Font Size'
GGF.Locale['Health_FontColor']          = 'Health Bar Font Color'
GGF.Locale['Magicka_Height']            = 'Magicka Bar Height'
GGF.Locale['Magicka_BarColor']          = 'Magicka Bar Color'
GGF.Locale['Magicka_FontSize']          = 'Magicka Bar Font Size'
GGF.Locale['Magicka_FontColor']         = 'Magicka Bar Font Color'
GGF.Locale['Stamina_Height']            = 'Stamina Bar Height'
GGF.Locale['Stamina_BarColor']          = 'Stamina Bar Color'
GGF.Locale['Stamina_FontSize']          = 'Stamina Bar Font Size'
GGF.Locale['Stamina_FontColor']         = 'Stamina Bar Font Color'
GGF.Locale['Experience_Height']         = 'Experience Bar Height'
GGF.Locale['Experience_BarColor']       = 'Experience Bar Color'
GGF.Locale['Experience_Text_Display']   = 'Experience Bar Text Display'
GGF.Locale['Experience_FontSize']       = 'Experience Bar Font Size'
GGF.Locale['Experience_FontColor']      = 'Experience Bar Font Color'
GGF.Locale['Mount_Height']              = 'Mount Bar Height'
GGF.Locale['Mount_BarColor']            = 'Mount Bar Color'
GGF.Locale['Target_FontColor_Friendly'] = 'Friendly Font Color'
GGF.Locale['Target_FontColor_Hostile']  = 'Hostile Font Color'
GGF.Locale['Target_FontColor_Interact'] = 'Interactable Font Color'

GGF.Locale['Buff_Location'] = 'Buff Location'
GGF.Locale['Buff_OrderX'] = 'Buff Horizontal Ordering'
GGF.Locale['Buff_OrderY'] = 'Buff Vertical Ordering'
GGF.Locale['Debuff_Location'] = 'Debuff Location'
GGF.Locale['Debuff_OrderX'] = 'Buff Horizontal Ordering'
GGF.Locale['Debuff_OrderY'] = 'Buff Vertical Ordering'

-- Misc Setting
GGF.Locale['Setting_Global']            = 'Global Addon Settings'
GGF.Locale['Setting_Player']            = 'Frame: Player'
GGF.Locale['Setting_Player_Health']     = 'Player Frame: Health'
GGF.Locale['Setting_Player_Magicka']    = 'Player Frame: Magicka'
GGF.Locale['Setting_Player_Stamina']    = 'Player Frame: Stamina'
GGF.Locale['Setting_Player_Experience'] = 'Player Frame: Experience'
GGF.Locale['Setting_Player_Mount']      = 'Player Frame: Mount'
GGF.Locale['Setting_Player_Buffs']      = 'Player Frame: Buffs / Debuffs'
GGF.Locale['Setting_Group']             = 'Group Frame'
GGF.Locale['Setting_Raid']              = 'Raid Frame'
GGF.Locale['Setting_Raid_Layout']       = 'Units Per Raid Group'
GGF.Locale['Setting_Raid_Padding']      = 'Padding Between Units'
GGF.Locale['Setting_Target']            = 'Target Frame'
GGF.Locale['Setting_Target_Buffs']      = 'Target Frame: Buffs / Debuffs'
GGF.Locale['Setting_Defaults']          = 'Reset To Defaults'
GGF.Locale['Setting_Reset_Warning']     = 'Caution: By resetting to the defaults you will lose all custom configuration you\'ve setup.  Please make sure this is what you want to do before clicking the button below.'
GGF.Locale['Setting_Reset_Button']      = 'Reset Defaults'